<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (12.0.2) on Sun May 03 22:01:10 EEST 2020 -->
<title>G-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-05-03">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="G-Index";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">O</a>&nbsp;<a href="index-12.html">R</a>&nbsp;<a href="index-13.html">S</a>&nbsp;<a href="index-14.html">U</a>&nbsp;<a href="index-15.html">W</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a><a id="I:G">
<!--   -->
</a>
<h2 class="title">G</h2>
<dl>
<dt><span class="memberNameLink"><a href="../businessLayer/IRestaurantProcessing.html#generateBill()">generateBill()</a></span> - Method in interface businessLayer.<a href="../businessLayer/IRestaurantProcessing.html" title="interface in businessLayer">IRestaurantProcessing</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../businessLayer/Restaurant.html#generateBill()">generateBill()</a></span> - Method in class businessLayer.<a href="../businessLayer/Restaurant.html" title="class in businessLayer">Restaurant</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../GUI/AdministratorGUI.html#generateBill()">generateBill()</a></span> - Method in class GUI.<a href="../GUI/AdministratorGUI.html" title="class in GUI">AdministratorGUI</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../GUI/WaiterGUI.html#generateBill()">generateBill()</a></span> - Method in class GUI.<a href="../GUI/WaiterGUI.html" title="class in GUI">WaiterGUI</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../data_layer/Bill.html#generateBill(int)">generateBill(int)</a></span> - Method in class data_layer.<a href="../data_layer/Bill.html" title="class in data_layer">Bill</a></dt>
<dd>
<div class="block">In aceasta metoda se genereazafisierul txt cu detaliile comenzii (costul total si pretul fiecarui produs)</div>
</dd>
<dt><span class="memberNameLink"><a href="../businessLayer/Order.html#getId()">getId()</a></span> - Method in class businessLayer.<a href="../businessLayer/Order.html" title="class in businessLayer">Order</a></dt>
<dd>
<div class="block">Afla id-ul comenzii</div>
</dd>
<dt><span class="memberNameLink"><a href="../businessLayer/Restaurant.html#getId()">getId()</a></span> - Method in class businessLayer.<a href="../businessLayer/Restaurant.html" title="class in businessLayer">Restaurant</a></dt>
<dd>
<div class="block">Metoda pentru generarea unui id diferit noii comenzi</div>
</dd>
<dt><span class="memberNameLink"><a href="../businessLayer/Restaurant.html#getItems()">getItems()</a></span> - Method in class businessLayer.<a href="../businessLayer/Restaurant.html" title="class in businessLayer">Restaurant</a></dt>
<dd>
<div class="block">Metoda pentru gasirea tuturor produselor</div>
</dd>
<dt><span class="memberNameLink"><a href="../businessLayer/Restaurant.html#getItemsToAdd(java.lang.String%5B%5D)">getItemsToAdd(String[])</a></span> - Method in class businessLayer.<a href="../businessLayer/Restaurant.html" title="class in businessLayer">Restaurant</a></dt>
<dd>
<div class="block">Metoda primeste numele produselor adaugate in GUI sub forma de String-uri.</div>
</dd>
<dt><span class="memberNameLink"><a href="../businessLayer/MenuItem.html#getName()">getName()</a></span> - Method in class businessLayer.<a href="../businessLayer/MenuItem.html" title="class in businessLayer">MenuItem</a></dt>
<dd>
<div class="block">Afla numele produsului</div>
</dd>
<dt><span class="memberNameLink"><a href="../businessLayer/Restaurant.html#getNames()">getNames()</a></span> - Method in class businessLayer.<a href="../businessLayer/Restaurant.html" title="class in businessLayer">Restaurant</a></dt>
<dd>
<div class="block">Se genereaza toate numele (String) disponibile in meniu.</div>
</dd>
<dt><span class="memberNameLink"><a href="../businessLayer/Restaurant.html#getOrders()">getOrders()</a></span> - Method in class businessLayer.<a href="../businessLayer/Restaurant.html" title="class in businessLayer">Restaurant</a></dt>
<dd>
<div class="block">Metoda pentru gasirea tuturor comenzilor</div>
</dd>
<dt><span class="memberNameLink"><a href="../businessLayer/MenuItem.html#getPrice()">getPrice()</a></span> - Method in class businessLayer.<a href="../businessLayer/MenuItem.html" title="class in businessLayer">MenuItem</a></dt>
<dd>
<div class="block">Afla pretul produsului</div>
</dd>
<dt><span class="memberNameLink"><a href="../businessLayer/Order.html#getTable()">getTable()</a></span> - Method in class businessLayer.<a href="../businessLayer/Order.html" title="class in businessLayer">Order</a></dt>
<dd>
<div class="block">Afla masa corespunzatoare comenzii</div>
</dd>
<dt><span class="memberNameLink"><a href="../businessLayer/Restaurant.html#getTotal(int)">getTotal(int)</a></span> - Method in class businessLayer.<a href="../businessLayer/Restaurant.html" title="class in businessLayer">Restaurant</a></dt>
<dd>
<div class="block">Metoda calculeaza nota de plata pentru o anumita comanda.</div>
</dd>
<dt><a href="../GUI/package-summary.html">GUI</a> - package GUI</dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">O</a>&nbsp;<a href="index-12.html">R</a>&nbsp;<a href="index-13.html">S</a>&nbsp;<a href="index-14.html">U</a>&nbsp;<a href="index-15.html">W</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
